Redmine - Defect #5383

Redmine.pm auth vulnerability
2010-04-26 15:53 - Yar Isakov

Status: Closed Start date: 2010-04-26
Priority: Normal Due date:

Assignee: % Done: 100%
Category: SCM Estimated time: 0.00 hour
Target version:

Resolution: Fixed Affected version: 0.9.3
Description

Hello, | found that even if project is non-public, any user can see subversion storage of it through Redmine.pm. Also, if user was
authenticated through LDAP, his permission was not checked (so he can checkout and/or commit to it). Here is my patch for these
issues

History

#1 - 2010-04-26 21:08 - Yar Isakov
- File redmine.pm.patch added

| forgot to move declaration of $method out of unless block, here is fixed patch

#2 - 2010-07-13 00:10 - Holger Just
- Status changed from New to Closed
- % Done changed from 0 to 100

- Resolution set to Fixed

This was fixed in r3832.

Please send possible future security incidents directly to security (at) redmine (dot) org. Those will then be handled in a more private way to allow
responsible disclosure of security incidents.

#3 - 2011-10-25 13:00 - Bennet Pritchard

SPAM
Files
redmine.pm.patch 1.05 KB 2010-04-26 Yar Isakov
redmine.pm.patch 1.48 KB 2010-04-26 Yar Isakov
https://www.redmine.org/projects/redmine/repository/svn/revisions/3832
http://www.tcpdf.org

